incubator-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From a..@apache.org
Subject svn commit: r679665 - /incubator/public/trunk/build.sh
Date Fri, 25 Jul 2008 05:09:29 GMT
Author: adc
Date: Thu Jul 24 22:09:29 2008
New Revision: 679665

URL: http://svn.apache.org/viewvc?rev=679665&view=rev
Log:
Opps

Modified:
    incubator/public/trunk/build.sh

Modified: incubator/public/trunk/build.sh
URL: http://svn.apache.org/viewvc/incubator/public/trunk/build.sh?rev=679665&r1=679664&r2=679665&view=diff
==============================================================================
--- incubator/public/trunk/build.sh (original)
+++ incubator/public/trunk/build.sh Thu Jul 24 22:09:29 2008
@@ -1,5 +1,10 @@
 #!/bin/sh
 
+if [ "$JAVA_HOME" = "" ] ; then
+  echo You must set JAVA_HOME to point at your Java Development Kit directory
+  exit 1
+fi
+
 # convert the existing path to unix
 if [ "$OSTYPE" = "cygwin32" ] || [ "$OSTYPE" = "cygwin" ] ; then
    CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
@@ -18,7 +23,7 @@
 
 BUILDFILE=build.xml
 
-java $ANT_OPTS -classpath "$CLASSPATH" \
+${JAVA_HOME}/bin/java $ANT_OPTS -classpath "$CLASSPATH" \
                 org.apache.tools.ant.Main \
                 -Dant.home=$ANT_HOME \
                 -buildfile ${BUILDFILE} \



---------------------------------------------------------------------
To unsubscribe, e-mail: cvs-unsubscribe@incubator.apache.org
For additional commands, e-mail: cvs-help@incubator.apache.org


Mime
View raw message